# Rally Rush: src/register_types.cpp File Reference

Loading...
Searching...
No Matches
register_types.cpp File Reference
`#include "register_types.h"`
`#include "beacon_powerup.hpp"`
`#include "beam.hpp"`
`#include "car_physics.hpp"`
`#include "car_player.hpp"`
`#include "damage_area.hpp"`
`#include "drone.hpp"`
`#include "drone_target.hpp"`
`#include "end_screen.hpp"`
`#include "enemy_car.hpp"`
`#include "enemy_spawnpoint.hpp"`
`#include "exit_door.hpp"`
`#include "exit_trigger.hpp"`
`#include "game_ui.hpp"`
`#include "key_pickup.hpp"`
`#include "menu_ui.hpp"`
`#include "rally_rush_game_mode.hpp"`
`#include "shield_powerup.hpp"`
`#include "spawner.hpp"`
`#include "turret.hpp"`
`#include "utils/game_mode.hpp"`
`#include "utils/game_root.hpp"`
`#include "utils/game_state.hpp"`
`#include "utils/level.hpp"`
`#include "utils/player_input.hpp"`
`#include "utils/spawn_point.hpp"`
`#include "weapon_pickup.hpp"`
`#include <gdextension_interface.h>`
`#include <godot_cpp/core/class_db.hpp>`
`#include <godot_cpp/core/defs.hpp>`
`#include <godot_cpp/godot.hpp>`

## Functions

void | initialize_gdextension_types (ModuleInitializationLevel p_level)
GDExtensionBool GDE_EXPORT | dirt_racer_library_init (GDExtensionInterfaceGetProcAddress p_get_proc_address, GDExtensionClassLibraryPtr p_library, GDExtensionInitialization *r_initialization)

## Function Documentation

## dirt_racer_library_init()

GDExtensionBool GDE_EXPORT dirt_racer_library_init | ( | GDExtensionInterfaceGetProcAddress | p_get_proc_address,
|  | GDExtensionClassLibraryPtr | p_library,
|  | GDExtensionInitialization * | r_initialization
| ) |  |

## initialize_gdextension_types()

void initialize_gdextension_types | ( | ModuleInitializationLevel | p_level | ) |